package com.sunxung.factoring.entity.project;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 项目业主方-税收违法
 * </p>
 *
 * @author liutao
 * @since 2023-12-15
 */
@TableName("project_owner_tax_illegal_data")
public class ProjectOwnerTaxIllegalData  {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 项目业主方审核id
     */
    @TableField("project_audit_id")
    private Long projectAuditId;

    /**
     * sop端 税收违法明细id
     */
    @TableField("c_tax_illegal_data_id")
    private Long cTaxIllegalDataId;

    /**
     * 发布日期，精确到天，如“2022-01-01”
     */
    @TableField("punish_date")
    private String punishDate;

    /**
     * 案件性质
     */
    @TableField("case_nature")
    private String caseNature;

    /**
     * 所属税务机关
     */
    @TableField("tax_gov")
    private String taxGov;

    /**
     * 主要违法事实
     */
    @TableField("illegal_content")
    private String illegalContent;

    /**
     * 法律依据及处理处罚情况
     */
    @TableField("punish_content")
    private String punishContent;

    /**
     * 税收违法 0 否 1 是
     */
    @TableField("tax_illegal")
    private Integer taxIllegal;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getProjectAuditId() {
        return projectAuditId;
    }

    public void setProjectAuditId(Long projectAuditId) {
        this.projectAuditId = projectAuditId;
    }
    public Long getcTaxIllegalDataId() {
        return cTaxIllegalDataId;
    }

    public void setcTaxIllegalDataId(Long cTaxIllegalDataId) {
        this.cTaxIllegalDataId = cTaxIllegalDataId;
    }
    public String getPunishDate() {
        return punishDate;
    }

    public void setPunishDate(String punishDate) {
        this.punishDate = punishDate;
    }
    public String getCaseNature() {
        return caseNature;
    }

    public void setCaseNature(String caseNature) {
        this.caseNature = caseNature;
    }
    public String getTaxGov() {
        return taxGov;
    }

    public void setTaxGov(String taxGov) {
        this.taxGov = taxGov;
    }
    public String getIllegalContent() {
        return illegalContent;
    }

    public void setIllegalContent(String illegalContent) {
        this.illegalContent = illegalContent;
    }
    public String getPunishContent() {
        return punishContent;
    }

    public void setPunishContent(String punishContent) {
        this.punishContent = punishContent;
    }
    public Integer getTaxIllegal() {
        return taxIllegal;
    }

    public void setTaxIllegal(Integer taxIllegal) {
        this.taxIllegal = taxIllegal;
    }

    @Override
    public String toString() {
        return "ProjectOwnerTaxIllegalData{" +
            "projectAuditId=" + projectAuditId +
            ", cTaxIllegalDataId=" + cTaxIllegalDataId +
            ", punishDate=" + punishDate +
            ", caseNature=" + caseNature +
            ", taxGov=" + taxGov +
            ", illegalContent=" + illegalContent +
            ", punishContent=" + punishContent +
            ", taxIllegal=" + taxIllegal +
        "}";
    }
}
